import "./Accordion.css";
import { useMemo } from "react";
import { DisclosureArrow } from "../../disclosure";
import { Heading } from "../../heading";
import { cssModule, forwardRef, isNil, mergeProps, omitProps, useSlots } from "../../shared";
import { Text } from "../../text";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerAccordionHeader(props) {
  const {
    disabled,
    active,
    focus,
    hover,
    as,
    children,
    forwardedRef,
    ...rest
  } = omitProps(props, ["header"]);

  if (isNil(as)) {
    throw new Error("An accordion header must receive an \"as\" prop matching a valid heading type.");
  }

  const {
    icon,
    text,
    counter
  } = useSlots(children, useMemo(() => ({
    _: {
      defaultWrapper: Text
    },
    icon: {
      className: "o-ui-accordion-icon"
    },
    text: {
      size: "inherit",
      className: "o-ui-accordion-title"
    },
    counter: {
      size: "inherit",
      variant: "divider",
      color: "inherit",
      pushed: true
    }
  }), []));
  return /*#__PURE__*/_jsx(Heading, {
    size: "2xs",
    className: "o-ui-accordion-header",
    as: as,
    ref: forwardedRef,
    children: /*#__PURE__*/_jsxs("button", { ...mergeProps(rest, {
        className: cssModule("o-ui-accordion-trigger", active && "active", focus && "focus", hover && "hover", icon && "has-icon"),
        disabled
      }),
      type: "button",
      children: [/*#__PURE__*/_jsxs("div", {
        className: "o-ui-accordion-trigger-content",
        children: [icon, text, counter]
      }), /*#__PURE__*/_jsx(DisclosureArrow, {
        className: "o-ui-accordion-arrow"
      })]
    })
  });
}
export const AccordionHeader = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerAccordionHeader, { ...props,
  forwardedRef: ref
}));
AccordionHeader.displayName = "AccordionHeader";