import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerAvatarGroupProps {
    /**
     * The avatars of the group can vary in size.
     */
    size?: "2xs" | "xs" | "sm" | "md" | "lg" | "xl" | "2xl";
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerAvatarGroup({ size, as, children, forwardedRef, ...rest }: InnerAvatarGroupProps): JSX.Element;
export declare const AvatarGroup: import("../../shared").OrbitComponent<HTMLElement, InnerAvatarGroupProps>;
export declare type AvatarGroupProps = ComponentProps<typeof AvatarGroup>;
