import { FormEvent, ForwardedRef, MouseEvent } from "react";
export interface UseToggleButtonProps<Shape> {
    variant?: "solid" | "outline" | "ghost";
    shape?: Shape;
    active?: boolean;
    checked?: boolean | null;
    defaultChecked?: boolean;
    value?: string;
    onChange?: (event: FormEvent<HTMLButtonElement>, isChecked: boolean) => void;
    onCheck?: (event: FormEvent<HTMLButtonElement>, value: string) => void;
    isCheckable: boolean;
    forwardedRef?: ForwardedRef<any>;
}
export declare function useToggleButton<Shape>({ variant, shape, checked, defaultChecked, value, onChange, onCheck, active, isCheckable, forwardedRef }: UseToggleButtonProps<Shape>): {
    isChecked: boolean;
    buttonProps: {
        [x: string]: string | boolean | ForwardedRef<any> | Shape;
        variant: "solid" | "outline" | "ghost";
        shape: Shape;
        onClick: (event: MouseEvent<HTMLButtonElement>) => void;
        value: string;
        active: boolean;
        ref: ForwardedRef<any>;
    };
};
