import "./DateInput.css";
import { TextInput } from "../../text-input";
import { cssModule, forwardRef, mergeProps } from "../../shared";
import { useDateInput } from "./useDateInput";
import { useInputGroupProps } from "../../input-group";
import { wrappedInputPropsAdapter } from "../../input"; // Used to generate BoxProps instead of any in the auto-generated documentation
// eslint-disable-next-line @typescript-eslint/no-empty-interface

import { jsx as _jsx } from "react/jsx-runtime";
export function InnerDateInput(props) {
  const [inputGroupProps, isInGroup] = useInputGroupProps();
  const {
    value,
    defaultValue,
    placeholder = "dd/mm/yyyy",
    min,
    max,
    onChange,
    onDateChange,
    wrapperProps,
    as = "input",
    forwardedRef,
    ...rest
  } = mergeProps(props, wrappedInputPropsAdapter(inputGroupProps));
  const dateProps = useDateInput({
    value,
    defaultValue,
    min,
    max,
    onChange,
    onDateChange,
    forwardedRef
  });
  return /*#__PURE__*/_jsx(TextInput, { ...mergeProps(rest, {
      placeholder,
      wrapperProps: mergeProps(wrapperProps !== null && wrapperProps !== void 0 ? wrapperProps : {}, {
        className: cssModule("o-ui-date-input", isInGroup && "in-group")
      }),
      as
    }, dateProps)
  });
}
export const DateInput = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerDateInput, { ...props,
  forwardedRef: ref
}));
DateInput.displayName = "DateInput";