import { ChangeEventHandler, ForwardedRef, SyntheticEvent } from "react";
export declare const DateInputMask: (string | RegExp)[];
export interface UseDateInputProps {
    value?: Date | null;
    defaultValue?: Date;
    min?: Date;
    max?: Date;
    onChange?: ChangeEventHandler;
    onDateChange?: (event: SyntheticEvent, date: Date) => void;
    forwardedRef: ForwardedRef<any>;
}
export declare function useDateInput({ value: valueProp, defaultValue, min, max, onChange, onDateChange, forwardedRef }: UseDateInputProps): {
    onChange: () => void;
} & {
    value: string;
    onChange: (...args: any[]) => void;
    onFocus: () => void;
    onBlur: (event: any) => void;
    ref: import("../../shared").MergedRef<any>;
};
