import "./Divider.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerDividerProps {
    /**
     * The orientation of the divider.
     */
    orientation?: "horizontal" | "vertical";
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * @ignore
     */
    children?: ReactNode;
    /**
     * @ignore
     */
    forwardedRef?: ForwardedRef<any>;
}
export declare function InnerDivider({ orientation, as, children, forwardedRef, ...rest }: InnerDividerProps): JSX.Element;
export declare const Divider: import("../../shared").OrbitComponent<HTMLElement, InnerDividerProps>;
export declare type DividerProps = ComponentProps<typeof Divider>;
