import "./FieldMessage.css";
import { StyleProvider, cssModule, forwardRef, mergeProps } from "../../shared";
import { Text } from "../../text";
import { jsx as _jsx } from "react/jsx-runtime";
export function getValidationProps(validationState) {
  const isValid = validationState === "valid";
  const isError = validationState === "invalid";
  return {
    isHelp: !isValid && !isError,
    isValid,
    isError
  };
}
export const FieldMessage = forwardRef(({
  tone,
  fluid,
  as = "div",
  children,
  ...rest
}, ref) => {
  return /*#__PURE__*/_jsx(Text, { ...mergeProps(rest, {
      size: "md",
      className: cssModule("o-ui-field-message", tone, fluid && "fluid"),
      as,
      ref
    }),
    children: /*#__PURE__*/_jsx(StyleProvider, {
      value: {
        text: {
          size: "inherit",
          color: "inherit"
        },
        p: {
          size: "inherit",
          color: "inherit"
        },
        link: {
          size: "inherit",
          color: "inherit"
        },
        list: {
          size: "inherit",
          color: "inherit"
        },
        icon: {
          size: "sm"
        }
      },
      children: children
    })
  });
});
FieldMessage.displayName = "FieldMessage";