import "./Field.css";
import { Box } from "../../box";
import { ClearToolbar, useToolbarProps } from "../../toolbar";
import { forwardRef, mergeProps } from "../../shared";
import { FieldContext } from "./FieldContext";
import { useFormField } from "../../form";
import { useGroupField } from "./useGroupField";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerGroupField(props) {
  const [formProps] = useFormField();
  const [toolbarProps] = useToolbarProps();
  const {
    id,
    validationState,
    required,
    fluid,
    disabled,
    as = "div",
    className,
    children,
    forwardedRef,
    ...rest
  } = mergeProps(props, formProps, toolbarProps);
  const {
    fieldProps,
    fieldContext
  } = useGroupField({
    id,
    validationState,
    required,
    fluid,
    disabled,
    className,
    forwardedRef
  });
  return /*#__PURE__*/_jsx(Box, { ...mergeProps(rest, {
      as
    }, fieldProps),
    children: /*#__PURE__*/_jsx(ClearToolbar, {
      children: /*#__PURE__*/_jsx(FieldContext.Provider, {
        value: { ...fieldContext,
          isGroup: true
        },
        children: children
      })
    })
  });
}
export const GroupField = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerGroupField, { ...props,
  forwardedRef: ref
}));
GroupField.displayName = "GroupField";