import "./Label.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerLabelProps {
    /**
     * Whether or not the label show a required state.
     */
    required?: boolean;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerLabel(props: InnerLabelProps): JSX.Element;
export declare const Label: import("../../shared").OrbitComponent<HTMLElement, InnerLabelProps>;
export declare type LabelProps = ComponentProps<typeof Label>;
