import { ForwardedRef } from "react";
import { MergedRef } from "../../shared";
import type { FieldContextType } from "./FieldContext";
export interface UseGroupFieldProps {
    id?: string;
    validationState?: "valid" | "invalid";
    required?: boolean;
    fluid?: boolean;
    disabled?: boolean;
    className?: string;
    forwardedRef?: ForwardedRef<any>;
}
export interface UseGroupFieldReturn {
    fieldId: string;
    fieldProps: {
        className: string;
        role: string;
        ref: MergedRef<any>;
        "aria-labelledby": string;
        "aria-describedby": string;
    };
    fieldContext: Partial<FieldContextType>;
}
export declare function useGroupField({ id, validationState, required, fluid, disabled, className, forwardedRef }: UseGroupFieldProps): UseGroupFieldReturn;
