import { Flex, useFlexAlignment, useFlexDirection } from "../../layout";
import { forwardRef, isNil, mergeProps } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerGroup({
  orientation,
  align,
  verticalAlign,
  wrap,
  children,
  forwardedRef,
  ...rest
}) {
  const directionProps = useFlexDirection(orientation);
  const alignProps = useFlexAlignment(orientation, align, verticalAlign);
  return /*#__PURE__*/_jsx(Flex, { ...mergeProps(rest, {
      wrap: !isNil(wrap) ? "wrap" : undefined,
      ref: forwardedRef
    }, directionProps, alignProps),
    children: children
  });
}
export const Group = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerGroup, { ...props,
  forwardedRef: ref
}));
Group.displayName = "Group";