import { ComponentProps, ReactNode } from "react";
import { InnerImageProps } from "./Image";
export interface InnerAsyncImageProps extends InnerImageProps {
    /**
     * The number of milliseconds to delay the rendering of the fallback.
     */
    delay?: number;
    /**
     * The allowed number of retry to load the async image.
     */
    retryCount?: number;
    /**
     * React children.
     */
    children: ReactNode;
}
export declare const AsyncImage: import("../../shared").OrbitComponent<HTMLElement, InnerAsyncImageProps>;
export declare type AsyncImageProps = ComponentProps<typeof AsyncImage>;
