import "./InputGroup.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerInputGroupProps {
    /**
     * Whether or not the input group take up the width of its container.
     */
    fluid?: boolean;
    /**
     * Whether or not the input group is disabled.
     */
    disabled?: boolean;
    /**
     * Whether or not the input group is readonly.
     */
    readOnly?: boolean;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * Default slot override.
     */
    slot?: string;
    /**
     * React children.
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerInputGroup({ fluid, disabled, readOnly, as, children, forwardedRef, ...rest }: InnerInputGroupProps): JSX.Element;
export declare const InputGroup: import("../../shared").OrbitComponent<HTMLElement, InnerInputGroupProps>;
export declare type InputGroupProps = ComponentProps<typeof InputGroup>;
