import { ReactNode } from "react";
import { UseFieldInputPropsReturn } from "../../field";
import { UseToolbarPropsReturn } from "../../toolbar";
export declare type InputGroupContextType = {
    fluid?: boolean;
    disabled?: boolean;
    readOnly?: boolean;
} & UseFieldInputPropsReturn & UseToolbarPropsReturn;
export declare const InputGroupContext: import("react").Context<InputGroupContextType>;
export declare function useInputGroupContext(): [InputGroupContextType, boolean];
export interface ClearInputGroupContextProps {
    children?: ReactNode;
}
export declare function ClearInputGroupContext({ children }: ClearInputGroupContextProps): JSX.Element;
export declare type UseInputGroupPropsReturn = {
    fluid?: boolean;
    disabled?: boolean;
    readOnly?: boolean;
    className?: string;
} & UseFieldInputPropsReturn & UseToolbarPropsReturn;
export declare function useInputGroupProps(): [UseInputGroupPropsReturn, boolean];
export declare function useInputGroupTextInputProps(): [UseInputGroupPropsReturn, boolean];
export interface UseInputGroupAddonPropsReturn {
    disabled?: boolean;
    className?: string;
}
export declare function useInputGroupAddonProps(): [UseInputGroupAddonPropsReturn, boolean];
export interface UseInputGroupButtonAddonPropsReturn {
    variant?: string;
    shape?: string;
    disabled?: boolean;
    className?: string;
}
export declare function useInputGroupButtonAddonProps(): [UseInputGroupButtonAddonPropsReturn, boolean];
export interface UseInputGroupMenuAddonPropsReturn {
    disabled?: boolean;
    readOnly?: boolean;
    className?: string;
}
export declare function useInputGroupMenuAddonProps(): [UseInputGroupMenuAddonPropsReturn, boolean];
export interface UseInputGroupSelectAddonPropsReturn {
    disabled?: boolean;
    readOnly?: boolean;
    allowResponsiveMenuWidth?: boolean;
    className?: string;
}
export declare function useInputGroupSelectAddonProps(): [UseInputGroupSelectAddonPropsReturn, boolean];
