import "./Link.css";
import { augmentElement, forwardRef, isNil, mergeProps, useStyleProps } from "../../shared";
import { Children } from "react";
import { EmbeddedIcon } from "../../icons";
import { NewTabIndicator } from "./NewTabIndicator";
import { useLink } from "./useLink";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export function InnerIconLink(props) {
  const [styleProps] = useStyleProps("link");
  const {
    target,
    rel,
    color,
    condensed,
    external,
    autoFocus,
    size,
    active,
    focus,
    hover,
    visited,
    disabled,
    "aria-label": ariaLabel,
    as: As = "a",
    children,
    forwardedRef,
    ...rest
  } = mergeProps(props, styleProps);

  if (isNil(ariaLabel)) {
    console.error("An icon link component must have an \"aria-label\" attribute.");
  }

  const {
    linkProps,
    showNewTabIndicator
  } = useLink({
    cssModule: "o-ui-icon-link",
    color,
    external,
    autoFocus,
    active,
    focus,
    hover,
    visited,
    disabled,
    target,
    rel,
    forwardedRef
  });
  const icon = Children.only(children);
  const iconMarkup = augmentElement(condensed ? icon : /*#__PURE__*/_jsx(EmbeddedIcon, {
    children: icon
  }), {
    size
  });
  return /*#__PURE__*/_jsxs(As, { ...mergeProps(rest, {
      "aria-label": ariaLabel
    }, linkProps),
    children: [iconMarkup, showNewTabIndicator && /*#__PURE__*/_jsx(NewTabIndicator, {})]
  });
}
export const IconLink = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerIconLink, { ...props,
  forwardedRef: ref
}));
IconLink.displayName = "IconLink";