import "./Link.css";
import { NewTabIndicator } from "./NewTabIndicator";
import { forwardRef, mergeProps, useStyleProps } from "../../shared";
import { useLink } from "./useLink";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export function InnerLink(props) {
  const [styleProps] = useStyleProps("link");
  const {
    target,
    rel,
    external,
    shape = "rounded",
    autoFocus,
    active,
    focus,
    hover,
    disabled,
    as: As = "a",
    children,
    forwardedRef,
    ...rest
  } = mergeProps(props, styleProps);
  const {
    linkProps,
    showNewTabIndicator
  } = useLink({
    external,
    shape,
    autoFocus,
    active,
    focus,
    hover,
    target,
    disabled,
    rel,
    forwardedRef
  });
  return /*#__PURE__*/_jsxs(As, { ...mergeProps(rest, linkProps),
    children: [children, showNewTabIndicator && /*#__PURE__*/_jsx(NewTabIndicator, {})]
  });
}
export const Link = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerLink, { ...props,
  forwardedRef: ref
}));
Link.displayName = "Link";