import { cssModule, isNumber, mergeClasses, useAutoFocus, useMergedRefs } from "../../shared";
export function useLink({
  cssModule: module,
  color,
  underline,
  shape,
  external,
  autoFocus,
  active,
  focus,
  hover,
  disabled,
  visited,
  target,
  rel,
  forwardedRef
}) {
  const linkRef = useMergedRefs(forwardedRef);
  useAutoFocus(linkRef, {
    isDisabled: !autoFocus,
    delay: isNumber(autoFocus) ? autoFocus : undefined
  });
  return {
    linkProps: {
      rel: (rel !== null && rel !== void 0 ? rel : external) ? "noopener noreferrer" : undefined,
      className: mergeClasses(module, cssModule("o-ui-link", color === "inherit" ? "inherit-color" : color, underline === "none" ? "no-underline" : underline, shape, active && "active", focus && "focus", hover && "hover", visited && "visited", disabled && "disabled")),
      tabIndex: disabled ? -1 : undefined,
      ref: linkRef
    },
    showNewTabIndicator: target === "_blank"
  };
}