import "./Lozenge.css";
import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerLozengeProps {
    /**
     * The badge color accent.
     */
    color?: "primary";
    /**
     * A lozenge can vary in size.
     */
    size?: "sm" | "md";
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * React children.
     */
    children: ReactNode;
    /**
    * @ignore
    */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerLozenge({ color, size, as, children, forwardedRef, ...rest }: InnerLozengeProps): JSX.Element;
export declare const Lozenge: import("../../shared").OrbitComponent<HTMLElement, InnerLozengeProps>;
export declare type LozengeProps = ComponentProps<typeof Lozenge>;
