import { Box } from "../../box";
import { forwardRef, mergeProps } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export function InnerMenuSection({
  id,
  title,
  as = "li",
  children,
  forwardedRef,
  ...rest
}) {
  return /*#__PURE__*/_jsxs(Box, { ...mergeProps(rest, {
      className: "o-ui-menu-section",
      as,
      role: "presentation",
      ref: forwardedRef
    }),
    children: [/*#__PURE__*/_jsx(Box, {
      id: id,
      as: "span",
      "aria-hidden": "true",
      className: "o-ui-menu-section-title",
      children: title
    }), /*#__PURE__*/_jsx(Box, {
      role: "group",
      "aria-labelledby": id,
      as: "ul",
      className: "o-ui-menu-section-items",
      children: children
    })]
  });
}
export const MenuSection = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerMenuSection, { ...props,
  forwardedRef: ref
}));
MenuSection.displayName = "MenuSection";