import { ComponentType, ReactElement, ReactNode } from "react";
declare const SlotKey = "__slot__";
export interface SlotableType {
    [SlotKey]?: string;
}
declare function slotDecorator<P>(slotName: string, ElementType: P): P;
export { slotDecorator as slot };
export declare function getSlotKey(element: ReactElement): any;
export declare function getRawSlots(children: ReactNode, slots: string[]): Record<string, any>;
export declare function useRawSlots(children: ReactNode, slots: string[]): Record<string, any>;
export interface SlotOptions {
    _: {
        defaultWrapper?: ComponentType<any>;
        required?: string[];
    };
}
declare type SlotElements<T extends SlotOptions> = {
    [key in keyof Omit<T, "_">]?: ReactElement;
};
export declare function getSlots<T extends SlotOptions>(children: ReactNode, { _, ...slots }: T): SlotElements<T>;
export declare function useSlots<T extends SlotOptions>(children: ReactNode, slots: T): SlotElements<T>;
