import "./Tag.css";
import { Box } from "../../box";
import { useMemo } from "react";
import { CrossButton, embedIconButton } from "../../button";
import { cssModule, forwardRef, isNil, mergeProps, normalizeSize, useMergedRefs, useSlots } from "../../shared";
import { Text } from "../../text";
import { embeddedIconSize } from "../../icons";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export function InnerTag({
  variant = "solid",
  onRemove,
  disabled,
  fluid,
  size,
  active,
  focus,
  hover,
  as = "div",
  children,
  forwardedRef,
  ...rest
}) {
  const ref = useMergedRefs(forwardedRef);
  const {
    icon,
    dot,
    text,
    "end-icon": endIcon,
    counter
  } = useSlots(children, useMemo(() => ({
    _: {
      defaultWrapper: Text
    },
    icon: {
      size: embeddedIconSize(size),
      className: "o-ui-tag-start-icon"
    },
    dot: {
      disabled,
      className: "o-ui-tag-dot"
    },
    text: {
      color: "inherit",
      size,
      className: "o-ui-tag-text"
    },
    "end-icon": {
      size: embeddedIconSize(size),
      className: "o-ui-tag-end-icon"
    },
    counter: {
      color: "inherit",
      size,
      pushed: true,
      disabled
    }
  }), [size, disabled]));
  const removeMarkup = !isNil(onRemove) && embedIconButton( /*#__PURE__*/_jsx(CrossButton, {
    "aria-label": "Remove"
  }), {
    condensed: true,
    onClick: onRemove,
    size,
    className: "o-ui-tag-remove-button",
    "aria-label": "Remove"
  });
  return /*#__PURE__*/_jsxs(Box, { ...mergeProps(rest, {
      className: cssModule("o-ui-tag", variant, dot && "has-dot", icon && "has-start-icon", endIcon && "has-end-icon", removeMarkup && "has-remove-button", fluid && "fluid", active && "active", focus && "focus", hover && "hover", normalizeSize(size)),
      disabled,
      as,
      ref
    }),
    children: [icon, dot, text, endIcon, counter, removeMarkup]
  });
}
export const Tag = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerTag, { ...props,
  forwardedRef: ref
}));
Tag.displayName = "Tag";