import { ComponentProps, ElementType, ForwardedRef, ReactNode } from "react";
export interface InnerTransitionProps {
    /**
     * A controlled show value that determined whether or not the component is displayed.
     */
    show: boolean;
    /**
     * 	Whether the transition should run on initial mount.
     */
    animateFirstRender?: boolean;
    /**
     * CSS classes to add to the transitioning element during the enter phase.
     */
    enter?: string;
    /**
     * CSS classes to add to the transitioning element during the leave phase.
     */
    leave?: string;
    /**
     * An HTML element type or a custom React element type to render as.
     */
    as?: ElementType;
    /**
     * @ignore
     */
    children: ReactNode;
    /**
     * @ignore
     */
    forwardedRef: ForwardedRef<any>;
}
export declare function InnerTransition({ show, animateFirstRender, enter, leave, as, children, forwardedRef, ...rest }: InnerTransitionProps): JSX.Element;
export declare const Transition: import("../../shared").OrbitComponent<HTMLElement, InnerTransitionProps>;
export declare type TransitionProps = ComponentProps<typeof Transition>;
