import { Box } from "../../box";
import { useEffect, useState } from "react";
import { forwardRef, isNilOrEmpty, mergeProps, useEventCallback, useIsInitialRender } from "../../shared";
import { jsx as _jsx } from "react/jsx-runtime";
export function InnerTransition({
  show,
  animateFirstRender = false,
  enter,
  leave,
  as = "div",
  children,
  forwardedRef,
  ...rest
}) {
  const [isVisible, setIsVisible] = useState(show);
  const isInitialRender = useIsInitialRender();
  useEffect(() => {
    if (show) {
      setIsVisible(true);
    } else if (isNilOrEmpty(leave)) {
      setIsVisible(false);
    }
  }, [show, leave]);
  const handleAnimationEnd = useEventCallback(() => {
    setIsVisible(show);
  }); // @ts-ignore

  const isAnimationDisabled = Transition.disableAnimation;
  const shouldRender = isAnimationDisabled ? show : isVisible;

  if (!shouldRender) {
    return null;
  }

  return /*#__PURE__*/_jsx(Box, { ...mergeProps(rest, {
      onAnimationEnd: !isAnimationDisabled ? handleAnimationEnd : undefined,
      className: show ? isInitialRender ? animateFirstRender ? enter : undefined : enter : leave,
      as,
      ref: forwardedRef
    }),
    children: children
  });
}
export const Transition = forwardRef((props, ref) => /*#__PURE__*/_jsx(InnerTransition, { ...props,
  forwardedRef: ref
}));
// Jest tests requires to disable the animation because "onAnimationEnd" is never fired. I can't figure out why.
// @ts-ignore
Transition.disableAnimation = false;
Transition.displayName = "Transition";